IF EXISTS (SELECT name 
	   FROM   sysobjects 
	   WHERE  name = 'NewTool' 
	   AND 	  type = 'P')
	DROP PROCEDURE NewTool
GO

CREATE PROCEDURE NewTool
@ToolName varchar(100),
@ToolTag varchar(100),
@ToolDescription varchar(1000)

AS

if not exists (select * from TOOL where ToolName = @ToolName)
	INSERT INTO TOOL (ToolName, ToolTag, ToolDescription, ToolInUse) 
	VALUES (@ToolName, @ToolTag, @ToolDescription, 0)

GO