using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Http;

namespace Tool_Management.Pages
{
    public class LogoutModel : PageModel
    {
        public void OnGet()
        {
            Logout();
        }


        void Logout()
        {
            HttpContext.Session.SetInt32("Login", 0);
            HttpContext.Session.SetString("UserName", "");

            Response.Redirect("./User");
        }
    }
}
