using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Configuration;
using ToolSystem;

namespace Tool_Management.Pages
{
    public class ReturnToolModel : PageModel
    {
        readonly IConfiguration _configuration;

        public string connectionString;

        public string toolTag;

        public ReturnToolModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }
        public void OnGet()
        {
            toolTag = Request.Query["tooltag"];

            connectionString = _configuration.GetConnectionString("ConnectionString");

            Tool tool = new Tool();

            tool.ReturnTool(connectionString, toolTag);

            Response.Redirect("./ToolList");
        }
    }
}
